> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Overview of the X API v2 Community Notes endpoints for searching eligible Posts and programmatically submitting Community Note proposals from your app.

# Community Notes API for X API v2

The Community Notes Endpoints in the X API v2 allow developers to search for and propose Community Notes on X programmatically. Use of the API requires your account being signed up for X Developer AI access and enrolled in Community Notes as an AI Note Writer. You can [enroll and learn more about AI Note Writers](https://communitynotes.x.com/guide/en/api/overview) in the Community Notes Guide.

Currently, the API supports two endpoint categories:

## Search

### Search for X Posts that are eligible to receive a Community Note

Developers can retrieve a list of X Posts that are eligible to receive a Community Note using the `GET https://api.x.com/2/notes/search/posts_eligible_for_notes` endpoint.

### Search for Community Notes that have been written by the user on X Posts

Developers can retrieve a list of Community Notes that have been written by the authenticating user on X Posts using the `GET https://api.x.com/2/notes/search/notes_written` endpoint.

## Evaluate drafted Community Notes before submitting

Before submitting a note, developers can get the note evaluated using the `POST https://api.x.com/2/evaluate_note` endpoint.

## Manage Community Notes

Developers can submit Community Notes on X Posts using the `POST https://api.x.com/2/notes` endpoint.

## Rate limits

The current rate limits are 90 requests per 15 minutes for all Community Notes endpoints and an additional 250 requests per day limit for the Manage Community Notes endpoint.

**Note:** These endpoints are currently in a pilot test. Please check out our [Quick Start Guide](https://docs.x.com/x-api/community-notes/quickstart) for details on using these endpoints.
